IJSGIMPPRINT(1)

NAME
ijsgimpprint - Ghostscript driver for Gimp-Print

SYNOPSIS
gs -sDEVICE=ijs -sIjsServer=/usr/local/bin/ijsgimpprint -sDeviceManufacturer=vendor -sDeviceModel=name [ -dIjsUseOutputFD ] -sIjsParams=[ key1=value1,keyn=valuen... ] [ options ] [ files ]

DESCRIPTION

ijsgimpprint provides Ghostscript with a Gimp-Print driver, supporting all printers supported by libgimpprint.

IJS is an initiative to improve the quality and ease of use of printing with Ghostscript. It permits adding or upgrading drivers without recompiling Ghostscript. An IJS driver runs in a separate process that communicates with Ghostscript via an IPC channel. The Gimp-Print IJS driver may be used with AFPL Ghostscript, as it runs in a separate process.

The options for this driver are very complex. We strongly recommend use of a printer management system such as Foomatic rather than configuring a spooler manually with this driver. The driver name used by Foomatic is gimp-print-ijs.

OPTIONS
ijsgimpprint accepts the following options:

  Ghostscript IJS options

-dIjsUseOutputFD
    This option should be specified whenever output from Ghostscript will go to stdout or into a pipe. It may be specified in all other cases, with only a slight performance degradation.

-sIjsParams=Option1=Value1,Option2=Value2
    This parameter contains a single string containing a comma-separated list of sub-options.

-sDeviceManufacturer=vendor -sDeviceModel=name
    This option must be supplied. There is no default. The IJS driver requires the vendor (it's part of the protocol), but the ijsgimpprint driver ignores it. It should be CANON, EPSON, LEXMARK, or HEWLETT-PACKARD. The value of the -sDeviceModel parameter is the same as the value of the -sModel parameter in the old stp driver.

    A complete list of supported printers may be found in gimpprint-models(7).

    Most or all of the Epson Stylus printers are fully functional. The others vary. In particular, all of the listed Epson Stylus Photo printers print in full 6-color photo mode; most of the others do not. The color output has also been better tuned for Epson Stylus printers than for others.

  Gimp-Print IJS options
These options are all used in the -sIjsParams options, except where mentioned otherwise. Due to their complicated nature, the options are explained in detail in their own sections.

PRINT RESOLUTION

Quality=quality
    The meaning of this is model-specific. Two names are listed for each resolution; the first (short) name is the quality that must be passed to Quality, and the second (long) name is descriptive. Each printer has its own default value; for most printers, this is a reasonable 300 or 360 DPI resolution. A full list of available resolutions for each printer may be found in gimpprint-resolutions(7).

INK TYPES

InkType=inktype

This is printer type specific. The option names are case sensitive. A full list of available media types may be found in gimmprint-inktypes(7).

MEDIA TYPES

MediaType=mediatype

This is printer type specific. The option names are case sensitive. A full list of available media types may be found in gimpprint-mediatypes(7).

MEDIA SOURCES

MediaSource=mediasource

This is printer type specific. The option names are case sensitive. A full list of available media sources may be found in gimpprint-mediasources(7).

MEDIA SIZES

-sPAPERSIZE=papersize
    for known Ghostscript paper sizes.

-dDEVICEWIDTHPOINTS=x -dDEVICEHEIGHTPOINTS=y
    where x and y are the width and height of the paper respectively, in points (1/72"). Note this is a normal gs option, not an IJS option.

This is printer-specific; we cannot list the correct values for each printer here. The option names are case-sensitive. Two names are listed for each resolution; the first (short) name is the value that must be passed to -sPAPERSIZE, and the second (long) name is descriptive. This option does not set GhostScript up to use a paper size other than the default; it only tells the driver to set up the printer for a different paper size. The default paper size is "Letter".

A complete list of available paper sizes may be found in gimpprint-mediasizes(7).

COLOR BALANCING

Cyan=val

Magenta=val

Yellow=val

Brightness=val

Contrast=val

Gamma=val

Density=val

Saturation=val

A full description of the color balancing options, including the allowed ranges of values, may be found in gimpprint-color(7).

DITHERING ALGORITHMS

DitherAlgorithm=algorithm
    Possible values for algorithm may be found in gimpprint-dithers(7).

OUTPUT TYPE

-sProcessColorModel=DeviceGray -dBitsPerSample=1
    Black and white

-sProcessColorModel=DeviceGray
    Greyscale

-sProcessColorModel=DeviceRGB
    Color (RGB)

-sProcessColorModel=DeviceCMYK
    Color (CMYK)

Note these are gs options, not IJS options. Choose color vs. grayscale output. Color output is the default. Choosing DeviceGrey and -dBitsPerSample=1 results in only black ink (no color ink) being used, which is faster and usually results in the most accurate grayscale, but at the expense of smoothness. This prints only black and white (thresholding). This option always uses Fast dithering unless you specify Very Fast. If you want composite color (using a mixture of color and black inks to produce gray), use DeviceGrey.

In addition, using DeviceGrey uses luminance (perceived brightness) of red, green, and blue to choose output levels. Blue of a given intensity is perceived to be much darker than red, which in turn appears darker than green. DeviceRGB, DeviceCYMK and Saturation=0.0 (see "Saturation" above) do not use luminance.

CMYK output may be used with the IJS driver only. It is useful if you're printing a CMYK graphic and want explicit control over the inks. Generally it yields inferior quality, as Gimp-Print has good algorithms for converting RGB (screen) into CMYK (inks) that take into account paper type, ink type, and other variables. In CMYK mode, the brightness, contrast, and saturation controls do not function.

IMAGE TYPE
This option can be used to optimize the dither.

ImageType=val
    Possible values are:

    Value | Description
    1 | Line art (color or gray scale)
    2 | Primarily solid colors or smooth gradients (color or gray scale)
    3 | Continuous-tone photographs (color or gray scale)

    Option 0 is the fastest. It generates strong, but not particularly accurate, colors. There may be some fairly sharp color transitions in this mode.

    Option 1 generates more accurate colors, but is slower.

    Option 2 generates the most accurate colors, but is considerably slower.

Note that any of the modes may be used with either color or black & white output. If black and white output is requested, but a color mode used, composite color will be printed. This generally offers smoother tone, but less purity of gray or black, than pure black ink. Furthermore, it is possible to tune the color of the gray (to achieve warmer or cooler effects) using the color controls in this fashion.

Specifying a lower GhostScript resolution (with -r) results in faster color conversion. For example, if you print at 1440x720 DPI, but specify a Ghostscript resolution of 360 DPI (with -r360), output will be significantly faster and there will be much less difference in performance between the three image type options.

EXAMPLES
Note that a lot of these options are used for demonstration; generally adjusting the density is a bad idea!

  Example 1
Print charts to file, using A4 paper, color, 360 dpi:

    gs -sDEVICE=ijs -sIjsServer=/usr/local/bin/ijsgimpprint
    -sDeviceManufacturer=EPSON -sDeviceModel=escp2-ex -sPAPERSIZE=a4
    -sOutputFile=itsyourchoice.prn
    -sIjsParams=Density=1.6,Gamma=1.5,Saturation=0.9,Brightness=0.4,ImageType=1
    foo.ps

  Example 2
Print color photograph to /dev/lp0 at maximum quality:

    gs -sDEVICE=ijs -sIjsServer=/usr/local/bin/ijsgimpprint
    -sDeviceManufacturer=EPSON -sDeviceModel=escp2-870
    -sOutputFile=/dev/lp0
    -sIjsParams='Quality=1440x720hq,MediaType=GlossyPhoto,Density=0.8,ImageType=2'
    foo.ps

  Example 3
Print pure black text to stdout:

    gs -sDEVICE=ijs -sIjsServer=/usr/local/bin/ijsgimpprint
    -sDeviceManufacturer=EPSON -sDeviceModel=escp2-660 -dIjsUseOutputFD
    -sProcessColorModel=DeviceGray -dBitsPerSample=1 -sOutputFile=-
    -sIjsParams='Quality=720sw,Density=0.8' foo.ps

HISTORY
The Ghostscript stp driver was originally written by Henryk Richter (buggs@comlab.uni-rostock.de), and was integrated into Gimp-Print during the 3.1 development series. Gimp-Print itself was originally written by Michael Sweet <mike@easysw.com>, who released up to version 2.0; Robert Krawitz released version 3.0. The gimp-print development team (http://gimp-print.sourceforge.net) now maintains the entire package.

The IJS driver was originally written by Russell Lang, and incorporated into Gimp-Print in early 2002. This driver corresponds with the IJS protocol 0.32.

COPYRIGHT
Copyright © 2001-2002 Robert Krawitz (rlk@alum.mit.edu)

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

AUTHORS
Robert Krawitz. Originally written by Russell Lang.

This manual page was written by Robert Krawitz (rlk@alum.mit.edu) and Roger Leigh (roger@whinlatter.uklinux.net).

SEE ALSO
gs(1), gimpprint-color(7), gimpprint-dithers(7), gimpprint-inktypes(7), gimpprint-mediasizes(7), gimpprint-mediasources(7), gimpprint-mediatypes(7), gimpprint-models(7), gimpprint-resolutions(7).